#
# spec file for package linbot (Version 1.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  python
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps python rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         linbot
Copyright:    GPL
Group:        Applications/Networking
URL:          http://starship.python.net/crew/marduk/linbot/
Provides:     linbot 
Requires:     python
Autoreqprov:  on
Version:      1.0
Release:      377
Summary:      A Site Management Tool for Webmasters
Source:       http://starship.python.net/crew/marduk/linbot/download/%{name}-%{version}.tar.bz2
Source1:      http://starship.python.net/crew/marduk/linbot/%{name}.gif
Patch:        %{name}-%{version}.patch
BuildRoot:    %{_tmppath}/%{name}-build

%description
Linbot allows webmasters to:
o  View the structure of a site
o  Track down broken links
o  Find potentially outdated web pages
o  List links pointing to external sites
o  View portfolio of inline images
o  Do all this periodically and without user intervention

Authors:
--------
    <marduk@python.net>

SuSE series: n

%prep
%setup
%patch

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
LIBDIR=/usr/lib/linbot
chmod 755 linbot.py
install -d -m 0755 -o root -g root $RPM_BUILD_ROOT/usr/local/httpd/htdocs/linbot
install -m 0644 -o root -g root $RPM_SOURCE_DIR/linbot.gif \
             $RPM_BUILD_ROOT/usr/local/httpd/htdocs/linbot
install -d -m 0755 -o root -g root $RPM_BUILD_ROOT/$LIBDIR
cp -v *.py $RPM_BUILD_ROOT/$LIBDIR
cp -v linbot.css $RPM_BUILD_ROOT/$LIBDIR
cp -rv contrib $RPM_BUILD_ROOT/$LIBDIR
cp -rv plugins $RPM_BUILD_ROOT/$LIBDIR
cp -rv schemes $RPM_BUILD_ROOT/$LIBDIR
mkdir -p $RPM_BUILD_ROOT/usr/bin
cd $RPM_BUILD_ROOT/usr/bin
ln -sf ../lib/linbot/linbot.py ./linbot

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%config(noreplace) /usr/lib/linbot/config.py
/usr/local/httpd/htdocs/linbot
%doc BUGS CHANGES COPYING CREDITS INSTALL README TODO
/usr/bin/linbot
%dir /usr/lib/linbot
/usr/lib/linbot/contrib
/usr/lib/linbot/debugio.py
/usr/lib/linbot/htmlparse.py
/usr/lib/linbot/httpcodes.py
/usr/lib/linbot/linbot.css
/usr/lib/linbot/linbot.py
/usr/lib/linbot/myUrlLib.py
/usr/lib/linbot/plugins
/usr/lib/linbot/robotparser.py
/usr/lib/linbot/schemes
/usr/lib/linbot/version.py
 

%changelog -n linbot
* Fri Sep 21 2001 - nadvornik@suse.cz
- fixed to work with new python
* Mon Jul 30 2001 - adostal@suse.cz
- convert gz to bz2 and dif to patch
* Thu May 03 2001 - nadvornik@suse.cz
- disabled WARN_OLD_VERSION in config.py
* Mon Apr 09 2001 - ro@suse.de
- fixed group tag
* Mon Oct 09 2000 - nadvornik@suse.cz
- fixed Copyright
* Tue Jul 11 2000 - nadvornik@suse.cz
- added linbot.gif
* Thu Mar 30 2000 - nadvornik@suse.cz
- STYLESHEET changed to 'linbot.css' in file config.py
* Thu Mar 23 2000 - nadvornik@suse.cz
- added BuildRoot
* Wed Feb 16 2000 - grimmer@suse.de
- Added Group tag and URL to spec file
- added full URL to source package
- use version macro in spec file
- specfile cleanups
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Apr 14 1999 - grimmer@suse.de
- new package (1.0)
